#ifndef TEXTURES_HPP
#define TEXTURES_HPP

// Includes
#include <SDL3/SDL_opengl.h>

// Texture Class
class Texture {
public:
    Texture(const char* filePath);
    ~Texture();

    void bind(GLenum textureUnit) const;

private:
    GLuint textureID;
};

#endif